ui-utilcpp (1.8.3-1) sid; urgency=medium

  * VC moved to alioth.
  * [130d106] Imported Upstream version 1.8.1.snapshot20140702145026weslok
  * [79c8408] Add 'debian/.gitignore'
  * [03dcc96] Update to debhelper 9 (Fixes: multiarch, hardening)
  * [446d78f] Imported Upstream version 1.8.2
  * [46bf58d] README.source removed: Outdated, no longer needed.
  * [a15fb5d] control: Add Homepage, Vcs-Git, Vcs-Browser.
  * [c6b9ea3] control: Fix maintainer email address.
  * [59dd047] control: Update package's descriptions.
  * [4d5d230] rules: Rm DEB_BUILD_OPTION manual handling (no longer
    needed, no need to still support etch)
  * [e415a43] control,rules: Support autotools-dev.
  * [802e244] control: Use one line per dependency.
  * [0995389] rules: Give dbg-package as option to dh, not as env.
  * [2ea9e64] control: Update Stds-Ver to 3.9.5 (no (more) changes
    needed).
  * [b0f37c2] *.install: Make multiarch support compatible with non-
    multiarch dists (< wheezy).
  * [47ab7ec] watch: Add watch file (untested; should work once package is
    accepted).
  * [f5c4045] copyright: Update for open source, and make machine-
    readable.
  * [2c92317] Imported Upstream version 1.8.3
  * Initial upload to Debian (Closes: 754897).

 -- Stephan Sürken <absurd@debian.org>  Sun, 20 Jul 2014 11:07:08 +0000

ui-utilcpp (1.8.1-1~uiSID+1) sid-ui; urgency=low

  [ Automated changes by ui-auto-release ]
  * New upstream 1.8.1 (stable)
  * UP: ui-utilcpp-1.8.1 (stable) (Tue May  7 12:33:00 UTC 2013):
  * UP:
  * UP: Bugfix release. Fixes Socket::getId() to be more failsafe.
  * UP:
  * UP: srken (4):
  * UP:   * [cec83b3] argl: Never commit release tarballs.
  * UP:   * [95ee948] .ui-auto.conf: Update stable branch to new stable
  * UP:     Debian branch.
  * UP:   * [d9ac711] Socket::getId: Catch std::exception, not
  * UP:     Exception (this method should never fail/raise Exception).
  * UP:     (cherry picked from commit
  * UP:     6267022c2165bb5fe9c0b2f914617a044d5bf7d6)
  * UP:   * [45f2d7e] * configure.ac: Prepare 1.8.1
  * MINI_BUILDD: AUTO_BACKPORTS: squeeze-ui,

  [ Autuse ]
  * ui-auto-release run by autuse@volvic.schlund.de.

 -- Autuse <autuse@volvic.schlund.de>  Tue, 07 May 2013 12:39:51 +0000

ui-utilcpp (1.8.0-1~uiSID+1) sid-ui; urgency=low

  [ srken ]
  * [7136dc9] Remove obsolete upstream directories
  * [2565d11] Update for sid+squeeze: Up to boost 42, and re-enable
    doxygen doc build.
  * [30198ff] Update for sid+squeeze: Re-enable doxygen doc install.
  * [4cd8064] Update for sid+squeeze: Use libboost-all-dev and
    libreadline-dev.
  * [c160ac9] Update for squeeze/sid: Explicitely set source format to
    3.0.
  * [4b093b7] Update for trunk/devel ui-utilcpp: stable version for
    squeeze will have changed API.
  * [8e7b07c] Add little tool to easily change libversion.
  * [62051ae] Update squeeze: Fix manual depenedencies for -dev package.
  * [6dc1bd5] control: b-d: add ncurses5-dev.
  * [17d3a2d] rules: Try to target
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval
  * [558e7c9] rules: 2nd try to target LAFileRemoval: Actually dont
    install it.
  * [1885b31] Update stds-vers.
  * [42faf9c] control: Fix section of -dbg package to "debug".
  * [dc8493c] Convenience: Change name of lib version tool so it does
    not start like "changelog".
  * [05b3e4c] Run 'libversion_change 8 9': Library main version is now
    9.

  [ Automated changes by ui-auto-release ]
  * New upstream 1.8.0 (stable): Reusing UNRELEASED section formerly
    versioned 1.8.0-0
  * UP: ui-utilcpp-1.8.0 (stable) (Mon May  7 16:35:09 UTC 2012):
  * UP:
  * UP: New major stable release; this main changes are support for IPv6
  * UP: for the socket library and the "cache code" removal (which has
  * UP: travelled to ui-apache-support).
  * UP:
  * UP: Note: The socket library changes inflicted library ABI-Changes
  * UP: so that a backport to the stable branch was not feasable. The
  * UP: new library main version is "9".
  * UP:
  * UP: It also includes some other minor cumulated and windows related
  * UP: changes:
  * UP:
  * UP: ewetzel (1):
  * UP:   * [9d6d48b] WSAStartup and WSACleanup added
  * UP:
  * UP: slinder (2):
  * UP:   * [0a9408e] fixed: yet another quota issue; forgot to divide
  * UP:     by blocksize, so the value was to big for unsigned long
  * UP:   * [6e64072] fixed: removed exceptions that were thrown in
  * UP:     Windows build; that led to unsalvagable db files
  * UP:
  * UP: srken (21):
  * UP:   * [282988a] .ui-auto.conf: Update to build for sid/squeeze by
  * UP:     default.
  * UP:   * [f7af1ed] configure.ac: Update to a new developemnt version
  * UP:     to avoid confusion.
  * UP:   * [b1e6a30] Move docroot cache helpers to apache2 common
  * UP:     code.
  * UP:   * [2c2be8d] Move docroot cache helpers to apache2 common
  * UP:     code.
  * UP:   * [90bbd0e] Removing helper and container ("Nico Cache") from
  * UP:     build system (now in apache 2 common code).
  * UP:   * [bb1ea3e] Add source lines of code estimation.
  * UP:   * [062d74d] Sys: Add system wrappers for ::getaddrinfo and
  * UP:     ::getnameinfo.
  * UP:   * [2ac2ff7] Sockets: Support IPv6 for class INetSocket.
  * UP:   * [2cab04d] svn-ignore: Add *-cap tool utility.
  * UP:   * [43a897d] INetSocket: Disable default copy constructor.
  * UP:   * [2874025] c++: Fix last three compiler warnings.
  * UP:   * [bc9341f] Remove helper tools for already removed code:
  * UP:     ContainerUnitTests, HelperUnitTests.
  * UP:   * [7a11ec4] Doxygen: Update config to 1.7.6.1.
  * UP:   * [2a38892] Doxygen: Eliminate new warning with Caps.?pp.
  * UP:   * [144022e] Remove all vc-proprietary $Id: NEWS 86316 2012-05-
  * UP: 07 16:35:52Z autuse $ tags from source.
  * UP:   * [37c898e] ui-auto: Add Eduard && Patrick to release notify
  * UP:     (for the Win port).
  * UP:   * [9cc86a9] Prepare stable release 1.8.0 (library main
  * UP:     version 9).
  * UP:   * [3d3f8d4] Prepare release notes for 1.8.0
  * UP:   * [b648f02] .ui-auto.conf: Update to new svn URL (TECITO
  * UP:     1544i).
  * UP:   * [793cf6c] .ui-auto.conf: Only build for squeeze.
  * UP:   * [031f6e6] Revert ".ui-auto.conf: Only build for squeeze."
  * MINI_BUILDD: AUTO_BACKPORTS: squeeze-ui,

  [ Autuse ]
  * ui-auto-release run by autuse@volvic.schlund.de.

 -- Autuse <autuse@volvic.schlund.de>  Mon, 07 May 2012 16:45:42 +0000

ui-utilcpp (1.6.0-1~ui50+1) lenny-ui; urgency=low

  [ Automated changes by ui-auto-release ]
  * New upstream 1.6.0 (stable): Reusing UNRELEASED section formerly
    versioned 1.5.0-0.0
  * UP: ui-utilcpp-1.6.0 (stable) (Fri Sep 17 14:07:36 UTC 2010):
  * UP:
  * UP: New major release; this mainly adds support for linux
  * UP: capabilities and windows quota.
  * UP:
  * UP: Simon Linder (7):
  * UP:       fixed: make compilable for Win32     removed: some compile
  * UP: r warnings
  * UP:       Lots of clean up.
  * UP:       Disabled another warning.
  * UP:       fixed: Win2k8 support
  * UP:       SL     added: Quota for W2k8
  * UP:       SL:     fixed: Quota/W2k8
  * UP:       fixed: quota
  * UP:       fixed: UID was 1000 which it cannot be (always 0 for Windo
  * UP: ws)
  * UP:
  * UP: Stephan Sürken (37):
  * UP:       RealTime: When normalizing negative values, silently set t
  * UP: o 0 instead of throwing exception
  * UP:       Code cleanup: Fix possible warnings (envp not used).
  * UP:       Changing prefix "_" for POSIX calls back to non-prefixed.
  * UP:       Half reverting/fixing change for a a VC++ warning
  * UP:       Sys: Add getgrnam(3) c++ wrapper.
  * UP:       QuotaInfo: Fix class variable order which leads to gcc com
  * UP: pile errors with -pedantic.
  * UP:       Fix ignore (used old "sp" prefix).
  * UP:       Sys: Add wrapper support for prctl (linux only).
  * UP:       Sys: Add C++ system wrappers for (nearly) all libcap libra
  * UP: ry calls (linux only)
  * UP:       Add new header/class "Cap": Abstraction class for posix ca
  * UP: pabilities.
  * UP:       Capabilities: Add scope capabilities helper class CapScope
  * UP: .
  * UP:       Capabilities: Compatibility for libcap1 (Debian etch).
  * UP:       Capabilties: Add example program.
  * UP:       typo fix in dox docs.
  * UP:       docs: Fix some doxygen warnings.
  * UP:       * Socket: Add shutdown() method.
  * UP:       * Connection: Add simpleHttpRequest method.
  * UP:       src/ui-utilcpp/Sys.cpp: Add support for setfsuid and setfs
  * UP: gid linux calls.
  * UP:       src/ui-utilcpp/GetOpt: Add support for default argument va
  * UP: lues.
  * UP:       * src/ui-utilcpp/Sys: Fix three exception error strings.
  * UP:       * src/ui-utilcpp/GetOpt: Doxygen fix.
  * UP:       * src/ui-utilcpp/Sys.hpp: chown: default 2nd arg to -1.
  * UP:       * src/ui-utilcpp/Sys.cpp: Add support for "pseudo" calls g
  * UP: etfsuid() and getfsgid().
  * UP:       * src/ui-utilcpp/Sys: getfsuid(): Workaround: Unlike descr
  * UP: ibed in the man page, result may be -1 sometimes; use geteuid()
  * UP: then.
  * UP:       * configure.ac: Add --enable-libproc: Optionally use libpr
  * UP: oc.
  * UP:       * src/ui-utilcpp/Sys: getfsuid must be implemented the har
  * UP: d way, parsing procfs.
  * UP:       * src/ui-utilcpp/Sys: getfsgid must be implemented the har
  * UP: d way, parsing procfs.
  * UP:       * src/ui-utilcpp/Sys.cpp: Cosmetic: Adapt exception texts
  * UP: for ui-utilcpp wording.
  * UP:       * src/ui-utilcpp/Sys.cpp: setfsuid: Fix check for error us
  * UP: ing new getfsuid|gid methods.
  * UP:       * src/ui-utilcpp/Sys: Fix throws to use ui-utilcpp convent
  * UP: ion.
  * UP:       * src/ui-utilcpp/Sys.cpp: Fix: Should not use ERRNO here.
  * UP:       * src/ui-utilcpp/Sys: Add support for linux' gettid(), and
  * UP:  use that as default for 'fsuid' calls.
  * UP:       * src/ui-utilcpp/Sys: getenv(3): Fix: On error, throw (don
  * UP: 't return null pointer).
  * UP:       fix revapx.
  * UP:       add NEWS entry for Simon's uid bug fix.
  * MINI_BUILDD: AUTO_BACKPORTS: etch-ui,

  [ Stephan Sürken ]
  * ui-auto-release run by absurd@manwe.use.schlund.de.
  * [f4d245d] Nes upstream; update to new library version 7.

 -- Stephan Sürken <stephan.suerken@1und1.de>  Fri, 17 Sep 2010 14:49:47 +0000

ui-utilcpp (1.4.3-1~ui50+1) lenny-ui; urgency=low

  [ Automated changes by ui-auto-release ]
  * New upstream 1.4.3 (stable)
  * UP: ui-utilcpp-1.4.3 (stable) (Thu Nov  5 17:23:01 UTC 2009):
  * UP:
  * UP: Maintenance release; a lot of code cleanups (warning removals
  * UP: and synchronization with the windows port).
  * UP:
  * UP: This also reverts the temporary disabling of rpc quota from 1.4.
  * UP: 1:
  * UP:   The temporary disabling was due to the problem described in
  * UP:   Debian bug #414149 that we suffered from using Berkeley DB
  * UP:   4.4 Debian packages. This is fixed since db4.5 version
  * UP:   4.5.20-9 Debian package; for Debian, please dont use lower
  * UP:   versions; for others, make sure the build system is patched
  * UP:   to use versioned symbols.
  * UP:
  * UP: Bug fixes:
  * UP:   * Windows: UID was 1000 which it cannot be (always 0 for
  * UP:     Windows) (Simon).
  * UP:   * RealTime: When normalizing negative values, silently set to
  * UP:     0 instead of throwing exception
  * MINI_BUILDD: AUTO_BACKPORTS: etch-ui,

  [ Stephan Sürken ]
  * ui-auto-release run by absurd@manwe.use.schlund.de.

 -- Stephan Sürken <stephan.suerken@1und1.de>  Thu, 05 Nov 2009 18:33:29 +0100

ui-utilcpp (1.4.2-1~ui50+1) lenny-ui; urgency=low

  [ Stephan Sürken ]
  * rules: Add support for DEB_BUILD_OPTIONS what is not automatically
    handled: parallel, noopt.
  * rules: Disable doxygen to make snapshot building work
    (http://bugzilla.gnome.org/show_bug.cgi?id=581746).
    - Temporarily disable doc-base file via renaming.

  [ Automated changes by ui-auto-release ]
  * New upstream 1.4.2 (stable): Reusing UNRELEASED section formerly
    versioned 1.4.1-1~ui40+2
  * UP: ui-utilcpp-1.4.2 (stable) (Tue Jun 23 09:27:01 UTC 2009):
  * UP:
  * UP: This release only has updates to .ui-auto.conf for newer ui-auto
  * UP: .
  * MINI_BUILDD: AUTO_BACKPORTS: etch-ui,

  [ Stephan Sürken ]
  * ui-auto-release run by absurd@manwe.use.schlund.de.

 -- Stephan Sürken <stephan.suerken@1und1.de>  Tue, 23 Jun 2009 09:32:08 +0000

ui-utilcpp (1.4.1-1~ui40+1) etch-ui; urgency=low

  * ui-auto-release: New upstream 1.4.1 (stable).
  * UP: ui-utilcpp-1.4.1 (stable) (Fri Apr  3 09:27:21 UTC 2009):
  * UP:
  * UP: Minor stable patch release.
  * UP:
  * UP: This release only TEMPORARILY disables rpc quota support. This
  * UP: is NOT A BUG HERE, but it's the simplest solution at the moment
  * UP: to avoid segfaults for programs linking with Berkeley DB 4.4 in
  * UP: a system using libnss-db ;( (see Bug
  * UP: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=414149) until
  * UP: these are fixed not to use db4.4.
  * MINI_BUILDD: BACKPORT_MODE

 -- Stephan Sürken <stephan.suerken@1und1.de>  Fri, 03 Apr 2009 11:39:35 +0200

ui-utilcpp (1.4.0-1~ui40+2) etch-ui; urgency=low

  * rules: As we now do all example binaries to /usr/lib/examples/package/
    now, there is no need for executable name transforming: I.e., rules is
    now really "debhelper 7 minimal".
  * ui-utilcpp5.install: Fix names.
  * MINI_BUILDD: BACKPORT_MODE

 -- Stephan Sürken <stephan.suerken@1und1.de>  Fri, 27 Mar 2009 13:47:32 +0100

ui-utilcpp (1.4.0-1~ui40+1) etch-ui; urgency=low

  * ui-auto-release: New upstream 1.4.0 (stable).
  * UP: ui-utilcpp-1.4.0 (stable) (Fri Mar 27 10:36:04 UTC 2009):
  * UP:
  * UP: This is a new stable version, updating to boost1.35 and some new
  * UP: features. Old code is compatible, but needs to be recompiled; SO
  * UP: main version dumped to 5 (stable).
  * UP:
  * UP: Changes since 1.3.3:
  * UP:
  * UP:   * QuotaInfo:
  * UP:     - Add method for quota via rpc (for nfs).
  * UP:     - Add new class FS (dev+fstype instead of dev only) to
  * UP:       construct QuotaInfo (API extension, old code using
  * UP:       QuotaInfo is compatible but need to be recompiled).
  * UP:     - Add helper function file2fs to generate an FS (dev+fstype)
  * UP:       from any file on that fs.
  * UP:     - New class FQuotaInfo that uses the above tool
  * UP:       automatically.
  * UP:     - Change internal code so that methods tried depend on fs
  * UP:       type.
  * UP:   * Update tar format to tar-pax.
  * MINI_BUILDD: BACKPORT_MODE
  * control: Fix maintainer string (UTF-8 ü).
  * debian/*: Prep for 1.4.0: Replace all: utilcpp4 with utilcpp5.
  * control: Remove vintage Conflicts on sos 1 and 2.

 -- Stephan Sürken <stephan.suerken@1und1.de>  Fri, 27 Mar 2009 13:15:33 +0100

ui-utilcpp (1.3.3-1~ui40+0exp1) etch-ui-experimental; urgency=low

  * Backport for etch-ui.
  * MINI_BUILDD: BACKPORT_MODE

 -- Stephan Sürken <stephan.suerken@1und1.de>  Mon, 19 Jan 2009 15:24:57 +0000

ui-utilcpp (1.3.3-1~ui50+0exp1) lenny-ui-experimental; urgency=low

  * New upstream release with new ui-auto
    (adds man page ui-utilcpp-version.1).
  * Add libui-utilcpp-dev.manpages: ui-utilcpp-version.1.

 -- Stephan Sürken <stephan.suerken@1und1.de>  Mon, 19 Jan 2009 15:22:07 +0000

ui-utilcpp (1.3.2-4) sid-ui-experimental; urgency=low

  * control: No longer using autotools-dev, removing b-d.
  * control: Versioned b-d doxygen (>= 1.5.6), graphviz (2.20.2)
    (upstream updated to use 1.5.6); guarantee these versions
    for backports.
  * control: Add ${misc:Depends} for all binary packages.
  * control: Renice: Multi-line dependencies.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Wed, 10 Dec 2008 17:43:36 +0000

ui-utilcpp (1.3.2-3) sid-ui-experimental; urgency=low

  * control: To satisfy buildd for debhelper 7, we need to explicitely b-d
    on man-db (>= 2.5.1).
  * rules: More simplifying with debhelper 7:
    - Use DH_OPTIONS, obsoleting the binary-arch target.
    - Fix .PHONY settings: Only for targets explicitely defined.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Wed, 10 Dec 2008 17:24:19 +0000

ui-utilcpp (1.3.2-2) sid-ui-experimental; urgency=low

  * debian/*: Add install files for libui-utilcpp4 and libui-utilcpp-dev
  * rules: Omit (wrong) customization for installchangelogs.
  * rules: Omit customizations for installdoc; rather give all docs
    in docs file.
  * rules: target "install" can now be debhelper default.
  * rules: Remove explicitly given "clean" target (can use default).
  * libui-utilcpp4: Install example binaries to /usr/lib/PACK/examples.
  * Update to standard version 3.8.0:
    - Fix doc-base section to "Programming/C++".
    - Rename README.Debian README.source.
  * rules: give --dbg-package directly to dh binary-arch.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Mon, 08 Dec 2008 15:42:59 +0000

ui-utilcpp (1.3.2-1~ui50+0test1) lenny-ui-experimental; urgency=low

  * Update to debhelper compat level 7 (debhelper 7 is in bpo, so we
    can still provide backport support for etch+).
    - control: Adapt b-d.
    - rules: Greatly simplified; only customizations retained for now.
  * control: Add boost deps for libui-utilcpp-dev.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Mon, 08 Dec 2008 14:17:07 +0000

ui-utilcpp (1.3.2-1~ui40+0test2) etch-ui-experimental; urgency=low

  * Fix broken changelog (lintian).

 -- Stephan Suerken <stephan.suerken@1und1.de>  Fri, 05 Dec 2008 09:35:31 +0000

ui-utilcpp (1.3.2-1~ui40+0test1) etch-ui-experimental; urgency=low

  * New upstream.
  * Experimental development now until 1.4.0 upstream is released.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Thu, 04 Dec 2008 15:51:10 +0000

ui-utilcpp (1.3.1-1~ui40+1) etch-ui; urgency=low

  * Rebuild for etch-ui with boost1.35 from bpo.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Mon, 24 Nov 2008 12:18:07 +0000

ui-utilcpp (1.3.1-1~ui40+0test5) etch-ui-experimental; urgency=low

  * rules: FIX: We need to use autodest for dh_install.
  * rules: Remove some obsolete (commented) lines.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Tue, 30 Sep 2008 16:01:03 +0200

ui-utilcpp (1.3.1-1~ui40+0test4) etch-ui-experimental; urgency=low

  * rules: Switch from dh_movefiles to dh_install.
  * rules: Select all files from rules file; omit all debian/*.files files.
  * rules: FIX: Only install ui-utilcpp4-* in libui-utilcpp4 (NOT ui-utilcpp-version).

 -- Stephan Suerken <stephan.suerken@1und1.de>  Tue, 30 Sep 2008 15:26:30 +0200

ui-utilcpp (1.3.1-1~ui40+0test3) etch-ui-experimental; urgency=low

  * FIX: usr/bin/ui-utilcpp-version should be in *-dev package.
  * FIX: Fix up program name change introduced with last revision:
    Not nice "ui-utilcpp-xyzutilcpp4"; now "ui-utilcpp4-xyz".

 -- Stephan Suerken <stephan.suerken@1und1.de>  Tue, 30 Sep 2008 14:47:58 +0200

ui-utilcpp (1.3.1-1~ui40+0test2) etch-ui-experimental; urgency=low

  * rules: Add suffix to all binaries: utilcpp4. This should fix the bug
    that multiple libui-utilcppN packages cannot be installed.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Tue, 30 Sep 2008 11:11:22 +0200

ui-utilcpp (1.3.1-1~ui40+0test1) etch-ui-experimental; urgency=low

  * New upstream
  * control: fixed library package names from 3 to 4 (unstable) 
  * rules: changed all occurences of ui-utilcpp3 to ui.utilcpp4

 -- Nico Siomos <nico.siomos@1und1.de>  Thu, 25 Sep 2008 12:04:06 +0000

ui-utilcpp (1.3.0-1~ui40+0test3) etch-ui-experimental; urgency=low

  * New upstream.
  * Initial package from unstable upstream branch

 -- Nico Siomos <nico.siomos@1und1.de>  Tue, 23 Sep 2008 16:35:45 +0000

ui-utilcpp (1.3.0.snapshot.20080922171053-1~ui40+0test1) etch-ui-experimental; urgency=low

  * Packaging snapshot for testing

 -- Nico Siomos <nico.siomos@1und1.de>  Mon, 22 Sep 2008 17:25:58 +0000

ui-utilcpp (1.2.1-1~ui40+1) etch-ui; urgency=low

  * Backport for etch-ui.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Wed,  2 Jul 2008 16:00:49 +0000

ui-utilcpp (1.2.1-1) sid-ui; urgency=low

  * New upstream.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Wed,  2 Jul 2008 15:57:28 +0000

ui-utilcpp (1.2.0-2~ui40+1) etch-ui; urgency=low

  * Backport for etch-ui.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Thu, 19 Jun 2008 14:24:53 +0200

ui-utilcpp (1.2.0-2) sid-ui; urgency=low

  * control: Conflict on libui-utilcpp2.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Thu, 19 Jun 2008 14:12:07 +0200

ui-utilcpp (1.2.0-1~ui40+1) etch-ui; urgency=low

  * Backport for etch-ui.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Thu, 19 Jun 2008 13:59:13 +0200

ui-utilcpp (1.2.0-1) sid-ui; urgency=low

  * New upstream: 1.2.0 (stable):
    - Rename library packages to so version 3.
  * Fix: Add build-dep for graphviz (doxygen docs).

 -- Stephan Suerken <stephan.suerken@1und1.de>  Thu, 19 Jun 2008 13:57:44 +0200

ui-utilcpp (1.1.40-3~ui40+1) etch-ui; urgency=low

  * Backport for etch-ui.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Tue, 17 Jun 2008 10:22:45 +0200

ui-utilcpp (1.1.40-3) sid-ui; urgency=low

  * control: Fix section "devel" to "libdevel" for library package.
  * control: Use Priority "extra" for -dbg package.
  * control: Fix dependency for -dbg package.
  * rules: Don't ignore distclean failure.
  * control: Replace deprecated "Source-Version" by "binary:Version".

 -- Stephan Suerken <stephan.suerken@1und1.de>  Tue, 17 Jun 2008 10:20:29 +0200

ui-utilcpp (1.1.40-2~ui40+1) etch-ui; urgency=low

  * Backport for etch-ui.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Mon, 16 Jun 2008 17:11:28 +0200

ui-utilcpp (1.1.40-2) sid-ui; urgency=low

  * Update debhelper compat level to 5 (was 4).
  * Use debian/compat rather that DH_COMPAT in rules.
  * control/rules: Add support for a -dbg package.
  * control: Bump to standards version 3.7.2 (etch) from 3.5.8 (no changes
    needed).

 -- Stephan Suerken <stephan.suerken@1und1.de>  Mon, 16 Jun 2008 16:56:52 +0200

ui-utilcpp (1.1.40-1~ui40+1) etch-ui; urgency=low

  * Backport for etch-ui.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Tue,  8 Jan 2008 18:10:58 +0100

ui-utilcpp (1.1.40-1) sid-ui; urgency=low

  * New upstream (fixes sid compilation).
  * Initial ui version (1.1.39-1 was never uploaded).

 -- Stephan Suerken <stephan.suerken@1und1.de>  Tue,  8 Jan 2008 17:45:51 +0100

ui-utilcpp (1.1.39-1) sid-ui; urgency=low

  * New upstream release (initial ui version).

 -- Stephan Suerken <stephan.suerken@1und1.de>  Tue,  8 Jan 2008 11:41:49 +0100

sp-utilcpp (1.1.38-1~etti.1) etch-tincas; urgency=low

  * Updated copyright file (fixes lintian error).
  * New upstream.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Fri, 19 Oct 2007 15:46:53 +0200

sp-utilcpp (1.1.37-1~etti.1) etch-tincas; urgency=low

  * New upstream.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Thu, 23 Aug 2007 18:47:19 +0200

sp-utilcpp (1.1.36-1~etti.1) etch-tincas; urgency=low

  * New upstream.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Wed, 11 Jul 2007 17:47:41 +0200

sp-utilcpp (1.1.35-1~etti.1) etch-tincas; urgency=low

  * New upstream.
  * Add build-dep for libidn11-dev.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Mon,  9 Jul 2007 18:06:38 +0200

sp-utilcpp (1.1.34-1~etti.4.buildd.3) schlund-etch-testing; urgency=low

  * Fix: Missing build-dep on doxygen.
  * Rebuild w/ original orig.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Mon,  2 Jul 2007 18:49:47 +0200

sp-utilcpp (1.1.34-1~etti.4.buildd.1) schlund-etch-testing; urgency=low

  * Test rebuild w/ schlund autobuilder.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Mon,  2 Jul 2007 18:27:43 +0200

sp-utilcpp (1.1.34-1~etti.4) etch-tincas; urgency=low

  * Add missing build-dep on xfslibs-dev.
  * Recompile to get "linux-xfs" quota support.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Wed, 13 Jun 2007 11:23:40 +0200

sp-utilcpp (1.1.34-1~etti.3) etch-tincas; urgency=low

  * Remove workaround "--disable-strerror" from configure; re-enables
    errno text in sp-utilcpp exceptions.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Fri, 30 Mar 2007 18:47:53 +0200

sp-utilcpp (1.1.34-1~etti.2) etch-tincas; urgency=low

  * control: Add missing build-dep to libboost-dev.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Fri, 30 Mar 2007 18:44:39 +0200

sp-utilcpp (1.1.34-1~etti.1) etch-tincas; urgency=low

  * Initial build for tincas-etch.
  * control: Add missing build-dep to libboost-test-dev.
  * control: Fix maintainer address.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Fri, 30 Mar 2007 18:38:32 +0200

sp-utilcpp (1.1.34-0spsarge1) spsarge; urgency=low

  * New upstream.

 -- Stephan Suerken <stephan.suerken@1und1.de>  Mon, 12 Mar 2007 15:34:46 +0100

sp-utilcpp (1.1.33-0spsarge1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Wed, 31 Jan 2007 17:27:37 +0100

sp-utilcpp (1.1.32-0spsarge1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Fri,  3 Nov 2006 14:51:23 +0100

sp-utilcpp (1.1.31-0spsarge1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Wed,  6 Sep 2006 14:56:32 +0200

sp-utilcpp (1.1.30-0spsarge1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Fri, 18 Aug 2006 16:42:42 +0200

sp-utilcpp (1.1.29-0spsarge1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Thu, 17 Aug 2006 11:02:09 +0200

sp-utilcpp (1.1.28-0spsarge1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Fri, 21 Jul 2006 11:41:18 +0200

sp-utilcpp (1.1.27-0spsarge1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Tue,  4 Jul 2006 15:06:59 +0200

sp-utilcpp (1.1.26-0spsarge1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Wed,  7 Jun 2006 19:14:44 +0200

sp-utilcpp (1.1.25-0spsarge1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Thu, 18 May 2006 18:11:24 +0200

sp-utilcpp (1.1.24-0spsarge1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Wed, 10 May 2006 14:28:40 +0200

sp-utilcpp (1.1.23-0spsarge1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Wed, 10 May 2006 09:27:37 +0200

sp-utilcpp (1.1.22-0.spsarge.1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Fri,  7 Apr 2006 15:33:51 +0000

sp-utilcpp (1.1.21-0.spsarge.1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Thu,  6 Apr 2006 12:17:33 +0000

sp-utilcpp (1.1.20-0.spsarge.1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Wed,  5 Apr 2006 14:21:23 +0000

sp-utilcpp (1.1.19-0.spsarge.1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Thu, 30 Mar 2006 15:28:12 +0000

sp-utilcpp (1.1.18-0.spsarge.1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Thu, 23 Mar 2006 17:42:39 +0000

sp-utilcpp (1.1.17-0.spsarge.1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Wed, 22 Mar 2006 14:14:32 +0000

sp-utilcpp (1.1.16-0.spsarge.1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Tue, 28 Feb 2006 13:43:15 +0000

sp-utilcpp (1.1.15.snapshot.20060217140127-0.spsarge.1) spsarge; urgency=low

  * New upstrea, snapshot.

 -- Stephan A Suerken <absurd@schlund.de>  Fri, 17 Feb 2006 14:12:33 +0000

sp-utilcpp (1.1.15-0.spsarge.1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Fri, 17 Feb 2006 09:59:45 +0000

sp-utilcpp (1.1.14.snapshot.20060214132501-0.spsarge.1) spsarge; urgency=low

  * New upstream snapshot.

 -- Stephan A Suerken <absurd@schlund.de>  Tue, 14 Feb 2006 14:45:22 +0000

sp-utilcpp (1.1.14-0.spsarge.1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Thu,  9 Feb 2006 21:25:54 +0000

sp-utilcpp (1.1.13-0.spsarge.1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Tue, 31 Jan 2006 18:36:15 +0000

sp-utilcpp (1.1.12-0.spsarge.2) spsarge; urgency=low

  * Fixing dependency from libreadline4->libreadline5.

 -- Stephan A Suerken <absurd@schlund.de>  Thu, 26 Jan 2006 13:53:07 +0000

sp-utilcpp (1.1.12-0.spsarge.1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Wed, 25 Jan 2006 18:26:46 +0000

sp-utilcpp (1.1.11-0.spsarge.1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Thu,  5 Jan 2006 17:23:17 +0000

sp-utilcpp (1.1.10.snapshot.20060104155117-0.spsarge.1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Wed,  4 Jan 2006 15:58:42 +0000

sp-utilcpp (1.1.9-0.spsarge.1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Fri, 30 Dec 2005 15:38:18 +0000

sp-utilcpp (1.1.8.snapshot.20051227110642-0.spsarge.1) spsarge; urgency=low

  * Needed new upstream update.

 -- Stephan A Suerken <absurd@schlund.de>  Tue, 27 Dec 2005 11:14:54 +0000

sp-utilcpp (1.1.8-0.spsarge.1) spsarge; urgency=low

  * New upstream w/ workaround against strerror(3) segfault on static
    compile for wrong libc.
  * rules: Now building using --disable-strerror.

 -- Stephan A Suerken <absurd@schlund.de>  Tue, 20 Dec 2005 17:34:20 +0000

sp-utilcpp (1.1.7-0.spsarge.1) spsarge; urgency=low

  * New upstream fixing two bug fixes.

 -- Stephan A Suerken <absurd@schlund.de>  Mon, 19 Dec 2005 13:22:55 +0000

sp-utilcpp (1.1.6.snapshot.20051207144317-0.spsarge.1) spsarge; urgency=low

  * Convenience fixes in upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Wed,  7 Dec 2005 14:55:20 +0000

sp-utilcpp (1.1.6.snapshot.20051205094619-0.spsarge.1) spsarge; urgency=low

  * New shanpshot upstream (ccgnu2/pthread library dep fixes, sigh ;(.

 -- Stephan A Suerken <absurd@schlund.de>  Mon,  5 Dec 2005 09:50:42 +0000

sp-utilcpp (1.1.6-0.spsarge.1) spsarge; urgency=low

  * New upstream 1.1.6.

 -- Stephan A Suerken <absurd@schlund.de>  Mon,  5 Dec 2005 08:44:35 +0000

sp-utilcpp (1.1.5.snapshot.20051118124036-0.spsarge.1) spsarge; urgency=low

  * Snapshot for cookie code enhancements/bugfixes

 -- Heiko Hund <heiko.hund@schlund.de>  Fri, 18 Nov 2005 13:03:11 +0000
 
sp-utilcpp (1.1.5.snapshot.20051104180445-0.spsarge.1) spsarge; urgency=low

  * Bugfix needed in upstream: Cookie.hpp not installed.

 -- Stephan A Suerken <absurd@schlund.de>  Fri,  4 Nov 2005 18:10:35 +0000

sp-utilcpp (1.1.5.snapshot.20051104162219-0.spsarge.1) spsarge; urgency=low

  * Snapshot w/ updates for http-code.

 -- Stephan A Suerken <absurd@schlund.de>  Fri,  4 Nov 2005 16:52:59 +0000

sp-utilcpp (1.1.5.snapshot.20050923122023-0.spsarge.1) spsarge; urgency=low

  * First snapshot w/ new Util::Http:: code.

 -- Stephan A Suerken <absurd@schlund.de>  Fri, 23 Sep 2005 12:31:18 +0000

sp-utilcpp (1.1.5-0.spsarge.1) spsarge; urgency=low

  * New upstream unstable release.
  * sp-utilcpp-dev: Removing aclocal files (has moved to sp-auto).

 -- Stephan A Suerken <absurd@schlund.de>  Fri, 17 Jun 2005 15:53:02 +0000

sp-utilcpp (1.1.3.snapshot.20050415093342-0.spsarge.1) spsarge; urgency=low

  * New upstream snapshot.

 -- Stephan A Suerken <absurd@schlund.de>  Fri, 15 Apr 2005 09:43:03 +0000

sp-utilcpp (1.1.3.snapshot.20050404093559-0.spsarge.1) spsarge; urgency=low

  * New upstream.

 -- Heiko Hund <hund@schlund.de>  Mon, 04 Apr 2005 12:24:47 +0200

sp-utilcpp (1.1.3.snapshot.20050310093754-0.spsarge.1) spsarge; urgency=low

  * New upstream.

 -- Stephan A Suerken <absurd@schlund.de>  Thu, 10 Mar 2005 10:00:02 +0000

sp-utilcpp (1.1.3.snapshot.20050228121049-0.spsarge.1) spsarge; urgency=low

  * new upstream 

 -- Heiko Hund <hund@schlund.de>  Mon, 28 Feb 2005 12:22:35 +0000 

sp-utilcpp (1.1.3-0.spsarge.2) spsarge; urgency=low

  * control: Add conflict to libsp-utilcpp1 (we would need to create
    another binary package (-tool) to avoid this).

 -- Stephan A Suerken <absurd@schlund.de>  Wed, 16 Feb 2005 18:13:18 +0100

sp-utilcpp (1.1.3-0.spsarge.1) spsarge; urgency=low

  * New UNSTABLE upstream: 1.1.3, initial sarge package.
  * control: Fixing dependencies for sarge; new deps for recode, quota, etc.
  * control: Updating library package name to libsp-utilcpp2 (2 is unstable so-version)
  * rules: No longer using debhelper compat mode file.
  * moving libsp-utilcpp1.files to libsp-utilcpp2.files.
  * Adding usr/share/aclocal to -dev.

 -- Stephan A Suerken <absurd@schlund.de>  Wed, 16 Feb 2005 16:02:43 +0100

sp-utilcpp (1.0.20040430-1) spwoody; urgency=low

  * New upstream 1.0.20040430 (fixes GetOpt bug for some archs (powerpc...)).

 -- Stephan A Suerken <absurd@schlund.de>  Fri, 30 Apr 2004 15:23:50 +0200

sp-utilcpp (1.0.20030812a-1) unstable; urgency=low

  * 1.0.20030812 upstream has introduced an evil bug ;). Do not
  use 1.0.20030812.

 -- Stephan A Suerken <absurd@schlund.de>  Tue, 12 Aug 2003 17:32:08 +0200

sp-utilcpp (1.0.20030812-1) unstable; urgency=low

  * New uspstream:
    - Makes it usable for development with gcc's pedantic switch.
    - Should still compile even if newer compilers give yet other errors.

 -- Stephan A Suerken <absurd@schlund.de>  Tue, 12 Aug 2003 15:13:13 +0200

sp-utilcpp (1.0.20030318-3) unstable; urgency=low

  * Fixing wrong library directory in /usr/lib/sp-utilcpp*.la.

 -- Stephan A Suerken <absurd@schlund.de>  Tue, 27 May 2003 15:52:53 +0200

sp-utilcpp (1.0.20030318-2) unstable; urgency=low

  * Adding autotools-dev to build depends.
  * Forcing use of updated config.sub|guess from autotools-dev.
  * -dev: Adding missing dependencies on development packages.

 -- Stephan A Suerken <absurd@schlund.de>  Mon, 28 Apr 2003 11:43:26 +0200

sp-utilcpp (1.0.20030318-1) unstable; urgency=low

  * 1st stable upstream release.
  * Adding doc-base support.

 -- Stephan A Suerken <absurd@schlund.de>  Wed, 19 Mar 2003 10:23:03 +0100

sp-utilcpp (0.1.20030310snapshot153229-0.spwoody.notforrelease.1) unstable; urgency=low

  * Initial Release.
  * *This is just to ease testing. Do not use this for proper installations*

 -- Stephan A Suerken <absurd@schlund.de>  Mon, 10 Mar 2003 18:50:25 +0100
